///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 16.0:
------------------------
- New: Ability to select from your 25 most recent Clipboard items for comparison
- New: Added syntax highlighting and scope bar support for 9 new document types (Dart, Go, INI, Lua, Markdown, MATLAB, Rust, Verilog, and YAML)
- New: Completely rewritten syntax highlighting engine that fully parses files and highlights 20+ different types of syntax elements
- New: Native support for ARM64
- New: Option to include line counts of added/deleted files in # of diffs in directory comparison
- New: Table comparison mode now invoked by default when clipboard contents representing tabular data (e.g. CSV, TSV) are compared (Master edition)
- New: Ability to uninstall previous versions during setup, as well as other improvements to the setup flow
- New: Option to consider files identical if their sizes match, even if their times differ
- Improvement: The Sort plug-in is now case-sensitive unless the "Ignore case" option is set
- Improvement: Better performance of directory comparison
- Improvement: Better installation logging
- Fix: Multiple bug fixes

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 15.0:
------------------------
- New: Tree mode in directory comparison
- New: Ability to perform fast byte-by-byte file comparison, within full directory content comparison
- New: Command to enable/disable path view filter in directory comparison
- New: Quick path view filter in directory comparison
- New: Ability to view files and directories excluded by filters in directory comparison
- Improvement: HTML Diff Report Improvements
- Improvement: Better WSL (Windows Subsystem for Linux) support
- Improvement: "Update available" visual indicator in the main menu
- Improvement: Improved performance of startup and resizing
- Improvement: Setup improvements
- Improvement: Install plug-ins of the appropriate architecture (64-bit or 32-bit) based on the architecture chosen for the ExamDiff Pro installation
- Fix: Multiple bug fixes

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 14.0:
------------------------
- New: Ability to match file structures (functions, classes, etc.) for text file comparison
- New: Ability to detect programming language for files without supported extensions and clipboard contents
- New: Portable version
- New: Language support for Typescript
- New: Language support for JSON
- New: Document Type pane in the text comparison/merge status bar
- New: Show preview of clipboard contents on mouseover in the Compare dialog
- New: Ability to switch between different code pages to display byte codes in binary comparison
- New: Option to not show Compare dialog on startup
- Improvement: Text comparison/merge status bar usability improvements
- Improvement: The width of the address column in binary comparison views is based on file sizes
- Improvement: More intuitive behavior of the "Run in new instance" option in the Compare dialog
- Improvement: Better support of Unicode characters in text comparison
- Improvement: Better syntax tree parsing performance for large files
- Improvement: When "Retain file/directory pair" in Options | Global is used, files/directories are now populated for all three modes: file and directory comparison and file merge
- Improvement: Better startup and comparison performance
- Fix: Multiple bug fixes

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 13.0:
------------------------
- New: Table comparison (Master edition)
- New: Scope bar (class/function detection)
- New: Windows 11 support
- New: Ability to reset pane layout to default
- New: View commands to zoom in/out views
- New: Ability to copy HEX dump of data in binary comparison
- New: Ability to use advanced diff algorithms in binary comparison
- New: Option to show selection check boxes in directory comparison views
- Improvement: Suppress dark mode for diff report printing
- Improvement: Ability to skip resolved differences
- Fix: Multiple bug fixes

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 12.0:
------------------------
- New: New and improved diff algorithms
- New: Ability to ignore columns in tab/comma-separated files (referred to by their indices)
- New: Improved Dark Theme and ability to detect theme automatically from Windows settings
- New: Recently compared files/directories in the main menu
- New: Apply button in the Options dialog
- New: Options search now includes messages under Misc | Messages
- New: New dialog for saving files if both are modified 
- New: Customize command in the menu under View | Toolbar
- New: Dump TLB plug-in (by OleWoo)
- Improvement: Usability improvements to Options dialog
- Fix: Multiple bug fixes

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 11.0:
------------------------
- New: Explorer-like column filters in directory comparison
- New: Show diff statistics in a chart
- New: New HTML template
- New: Ability to reset all settings
- New: Ability to launch multiple file comparison sessions from directory comparison, one for each selected file
- New: Skip Difference enhancements
- New: Built-in support for PowerShell documents
- New: Option to open new comparison instance from directory comparison on another monitor
- New: UI enhancements
    - Dark theme
    - Flattened UI
- New: Support for Windows jump lists
- Improvement: Significantly faster directory comparison in full file comparison mode
- Improvement: Text file comparison performance improvements
- Improvement: Installation improvements
- Improvement: Better mouse wheel scroll behavior in Windows 10
- Improvement: More intuitive text comparison results
- Improvement: Better saving/restoring of manual synchronization links
- Improvement: Separated Line-by-line setting in Options | Test Compare | Advanced from Fuzzy comparison settings, and made the latter more user-friendly
- Improvement: Better sorting in directory comparison
- Improvement: Loading file/directory from the pane title bar will now recompare if the Auto-Compare option is turned on
- Fix: Multiple bug fixes

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 10.0:
------------------------
- New: Ability to compare file/directory lists (Master edition)
- New: Ability to create directory comparison HTML diff report with links
  to file comparison HTML diff reports (Master edition)
- New: Quick Compare options
- New: Fuzzy string comparison support for inline text comparison
- New: Option to exclude files by attribute in directory comparison 
  (especially useful for hidden files/folders)
- New: Added "Ignore subdirectories" to "Handling of subdirectories"
  options under Options | Directory Compare
- New: Option to automatically re-compare after save
- New: Ability to hide menu bar
- Improvement: The "Copy Line to Other File" command has been extended to
  "Copy Line(s) to Other File"
- Fix: Changed window size sometimes did not persist after re-compare

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 9.0:
-----------------------
- New: Updated user interface
    - Modern UI theme
    - Multiple toolbars with additional customization options
    - New toolbar and menu icons
    - High DPI support
- New: Fast (byte-by-byte) binary comparison
- New: Merge additions (Master edition):
    - 3-way diff (without merge) and a new command line option /diffonly
    - Ability to ignore case
    - Ability to ignore parts of lines matching a regular expression
- New: Logging to the new output pane and/or a log file
- New: Option to remove trailing whitespaces from lines during saving of
  text files
- Improvement: Better detection of comments for programming languages 
  supported by syntax highlighting
- Improvement: Better text/binary detection
- Improvement: Better performance of 3-Way Diff And Merge
- Improvement: Explorer context menu is now enabled even if selected files
  are in different directories (Windows Vista and higher)
- Improvement: Better performance of parallel full comparison
- Improvement: Better highlighting of directory comparison items changed 
  by an external program
- Fix: Stopping parallel full comparison caused files to be marked with
  "Error" status or to be erroneously marked as identical
- Fix: Options and sessions files were not saved with the Unicode Byte
  Order Mark (BOM)
- Fix: Incorrect line numbering after Add Block, Delete Block, and Split
  Block commands

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 8.0:
-----------------------
- New: Ability to group directory comparison items
- New: Allow to Go Up One Level/Drill Down in directory comparison without 
  re-comparison (using cached diff results)
- New: Ability to use Left/Center/Right blocks by default if a conflict 
  occurs during merging (Master edition)
- New: Command line option /statsonly to output only comparison statistics
- New: Automatically save/restore manual synchronization links
- New: Ability to customize file/directory captions
- New: Allow using Windows environment variables in Options paths
- New: Option to convert new tabs to spaces during text file editing
- New: Ability to customize print report heading via Page Setup (including 
  making it blank)
- New: Option to force comparisons from Windows Explorer context menu with 
  the older/newer file/directory as first
- New: Ability to apply ignored line and column ranges only to the first or 
  to the second file using 1: or 2: prefixes, e.g. 1:1-6 (by default ranges 
  apply to both files)
- New: "Merge Matched" and "Merge Selected" commands in the Advanced 
  sub-menu of the directory comparison views context menu (Master edition)
- New: Command line options /dt1:name, /dt2:name, /dt3:name to allow 
  replacing "Theirs", "Base", and "Yours" tags in merging (Master edition)
- New: Windows 10 Support
- Improvement: Improved performance of directory comparison
- Improvement: Ability to toggle option "Ignore Linebreak styles" via 
  customized toolbar
- Improvement: Added more file attributes to the supported ones (RHSA) in 
  directory comparison views
- Improvement: Manual synchronization links are now saved per session and 
  also saved into session files
- Improvement: Bookmarks are now preserved during re-comparison
- Improvement: Improved support for Wine 1.8

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 7.0:
-----------------------
- New: Two-way merge (Master edition)
- New: Line Inspector in merge mode (Master edition)
- New: Parallel full comparison
- New: Export/Import Settings commands
- New: Ability to search for options
- New: Ability to search in toolbar customization dialog
- New: Windows 8.1 support
- New: Ability to clear comparison history, recent sessions, and recent 
  session files
- New: New directory comparison context menu commands:
    - Open
    - Open Both
    - Copy as Path
- New: Ctrl-Mouse wheel adjusts font size
- New: Option to make the directory comparison backup directory hidden
- New: Text file encoding shown in status bars and highlighted if different
- Fix: Empty directory not matching comparison filters were still shown in 
  directory comparison	
- Improvement: New Tools menu for settings-related commands
- Improvement: New Options | Tools pane for options pertaining to external 
  tools
- Improvement: Improved layout for many dialogs
- Improvement: Reorganized directory comparison context menu to make rarely 
  used commands less prominent
- Improvement: Rearranged "Comparison precision" settings under Options | 
  Directory Compare
- Improvement: Newer/Older file comparison status panes are now colored

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 6.0:
-----------------------
- Standard and Master editions
- Three-way diff and merge
- Quick view filters
- Overall difference navigation
- Redesigned HTML diff report, with improved diff navigation and selection	
- Windows 8 support
- New document types: Ruby, CSS, and JavaScript
- Ability to limit number of subdirectory levels in recursive comparison
- Ability to lock toolbars
- Allow full paths in the title bar
- Option to limit update check frequency
- New command line option:
      /gx:file    save ExamDiff Pro options to an options file
- Fix: Selected padding lines were indented and lost their padding status when 
  the Tab key was pressed in text comparison
- Fix: /fi and /fx options did not automatically enable the "Use comparison 
  filters" option along with the specified filters
- Fix: Resetting plug-ins to default did not properly recover installed plug-ins
- Fix: Line numbers were being selected along with text in HTML diff reports
- Improvement: More intuitive keyboard shortcuts for difference navigation 
  commands
- Improvement: Rearranged options

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 5.5:
-----------------------
- Automated directory synchronization
- Support for Office 2007/2010 documents (Word, Excel, PowerPoint)
- Option to ignore text file lines by their numbers
- Option to ignore blank lines at the end of a file
- New navigation commands:
    - First Diff
    - Last Diff
    - End of Current Diff
- Ability to browse for file/directory directly in the main window via the 
  Browse button
- Ability to denote text/binary files by name filter
- Option to copy adjacent ignored lines when diff blocks are replaced
- Option to swap diff and color bars for the first pane
- New command line option:
    /em:email    email diff results to the address 'email'
- New buttons for existing commands can now be added to the toolbar:
    - Load Session from File
    - Save Session to File
- Fix: When "Save files before re-comparison" was set, clipboard contents 
  caused the "Save first file" dialog and the "Save second file" dialogs to 
  appear twice
- Fix: Ignoring trailing whitespaces in lines failed in certain situations
- Fix: HTML diff reports did not resize correctly in Chrome
- Fix: Horizontally-split HTML diff reports did not resize correctly
- Fix: Minor issues in HTML and XML syntax highlighting
- Fix: High memory consumption in text file comparison
- Improvement: Options | Compare panel reorganized to group similar Ignore 
  options together
- Improvement: Changed the way empty directories are presented (directory
  name instead of "<Empty Directory>")
- Improvement: Zero similarity matching is enabled even if the file size is
  larger than the fuzzy matching threshold
- Improvement: Icons on the Compare dialog buttons
- Improvement: Icons on the Print Preview dialog buttons

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 5.0:
-----------------------
- Line Inspector panel for easy recognition of differences within lines
- Synchronization buttons for directory comparison
- Windows 7 support
- Hide and Hide All But These context menu commands in directory
  comparison to hide items until the next recomparison
- Ability to combine directory comparison sort results from both panes
- Use Comparison Filters command to enable/disable the use of filters
  specified in the Options | Dir Comparison | Filters panel
- Option to only show second items that were already compared to the first 
  item in the Compare dialog drop-down boxes
- Improved file change notifications for directory comparison (file 
  properties of dir view items updated, diff blocks changed as appropriate)
- Automatic detection of Unicode files without BOMs, where possible
- Plug-in matching by name filter as opposed to extensions
- Copy Line to Other File context menu command in file comparison
- Split Diffs command for changed diff blocks in text file comparison that
  converts the changed block into two blocks (added and deleted)
- Ability to email HTML diff reports by spawning the default email client
- Ability to open containing folder via context menu in file and directory 
  comparison
- New buttons for existing commands can now be added to the toolbar:
    - Delete Block
    - Show Diff Combo Box Bar
    - Ignore Case
    - Ignore All White Space
    - Ignore Blank Lines
- Ignore the Ignores command renamed to Use Ignores and behavior reversed
- Reorganization of the View menu to group all Options-related commands 
  together
- Options | Display panel organized into three distinct sections: Common 
  Options, File Comparison, and Directory Comparison
- Improved handling of empty directories in recursive directory comparison 
  (all empty directories shown, prompt to delete directories if their 
  contents are all deleted)
- Significantly reduced size of HTML diff reports
- Filter icon in status bar colored red to match the Use Comparison Filters
  toolbar button
- Fix: Right-click name filtering in dir comparison was broken in 4.5
- Fix: Clipboard selection did not work together with the "Run comparison 
  in new instance of ExamDiff Pro" option
- Fix: Shell integration did not work correctly with file and directory 
  shortcuts

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 4.5:
-----------------------
- Fuzzy line matching
- Ability to recognize moved text blocks
- Improvements in text editing 
    - global Undo/Redo, improved block operations
    - marking diffs as "resolved" after Replace... commands
    - line modification marks
    - keeping Undo/Redo information after re-comparison
- Improved diff bar (all diffs displayed, synchronization buttons, resolved 
  diffs shown, right-click menu, tooltips)
- Ability to specify file encoding (ASCII, UTF-8, UTF-16LE or UTF-16BE) for 
  opening and saving text files
- Highlighting and ability to navigate to changed/missing linebreaks
- Word wrap improvements (fit to window, white space handling)
- Ability to ignore time differences caused by daylight saving changes
- Toolbar buttons for enabling/disabling synchronized scrolling
- Improved multi-monitor support
- New information in the file status bar (size, number of lines for text 
  files)
- Installation of both 64-bit and 32-bit Shell Extensions in 64-bit Windows
- Ability to delete items from persistent combo boxes
- Improved change notifications that do not take into account filtered-out 
  files
- Improved handling of large files (when not enough memory, allows 
  switching to binary mode in order to determine whether the files are 
  different)
- Browse for files (zip, etc.) in addition to snapshots in dir comparison
- Previously undocumented command line options are now officially 
  supported:
     /dn1:name     use this as the first file/directory caption
     /dn2:name     use this as the second file/directory caption
- Added ExamDiff Pro executable path to the Registry:
    HKCU\Software\PrestoSoft\ExamDiff Pro\ExePath
- Fix: when comparing fragments, the ignore comment option didn't work
- Fix: after manually synchronizing two lines with different (non-ignored) 
  linebreak characters, they were shown as being equal
- Fix: incorrect marking of ignored trailing spaces in line differences
- Fix: manual synchronization links were kept when files were closed
- Fix: occasionally getting empty documents after canceling a re-compare 
  with unsaved documents
- Fix: Move Cursor to Current Difference did not function correctly when
  the first inline difference is at the beginning of a line
- Fix: failure to re-compare files that no longer exist
- Fix: HTML generation for short lines (incomplete lines)
- Fix: HTML generation for ignored lines didn't show full lines
- Fix: infinite loop in HTML diff report scrolling under Google Chrome
- Fix: did not expand environment strings in directory comparison filters

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 4.0:
-----------------------
- Support for customizable document types, with document-type-specific
  settings for tab size, comments, and syntax highlighting
- Ability to create and edit filter sets
- Name filter improvements: ability to disable filters and a new 
  interface for editing filters
- Date and size filters in directory comparison
- "Filters" right-click menu in directory comparison
    - Exclude Name
    - Exclude Extension
    - Exclude Relative Directory
    - Not Older Than
    - Not Larger Than
    - Not Smaller Than
- Option to perform quick full comparison of selected files in directory 
  comparison without performing a full recompare of all files
- Ability to copy text fragments including padding lines
- "Compare To..." in Shell extension
- Ability to use environment variables (e.g. %WINDIR%) in file names
- Ability to delete matching files in both directory comparison panes
- Option to ignore word separators embedded in quoted strings during 
  file comparison
- Ability to view report files right after saving
- Ability to independently scroll views horizontally using Alt key
- Separate "Use Plug-ins" options for file and directory comparison
- New command line options useful for merging in some version control 
  tools:
    /sn1:file    use this name when you save the first file
    /sn2:file    use this name when you save the second file
- New command line option useful for comparison invoked from version 
  control:
    /nh          do not add files or directories to comparison history
- Resizing with Shift key pressed to keep the center of the main window
- Ability to toggle Full File Comparison from the toolbar
- Improved difference navigation
- Improved toolbar button defaults
- Fix: incorrect directory comparison of files with mixed linebreak styles
  in Full File Comparison mode 
- Fix: text selection was colored in Print/Print Preview
- Fix: plug-ins that converted files into directories (such as the Unzip 
  plug-in) were not considered during directory comparison
- Fix: files/directories dropped from Windows Explorer sometimes 
  incorrectly appeared in the wrong pane
- Fix: could not create directory snapshots from the Files menu

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 3.5:
-----------------------
- Ability to add manual synchronization points to text file comparison
- Ability to independently scroll views vertically using Alt key
- Ability to save and load session files (with .EDPI extension) that 
  contain a pair of names of compared files or directories and a set 
  of comparison options, along with a new command line option (/sf) 
  to load a session file and the ability to launch a comparison by 
  double-clicking on a session file in Windows Explorer 
- Extensive drag and drop support
- Windows Vista support
- Intuitive Autopick feature in Compare dialog that remembers matching 
  pairs
- Plug-ins are optionally installed during setup
- Plug-ins can be used to compare archives (ZIP etc.) against directories
  or other archives
- Default remote plug-ins can be defined to compare files and directories
  on the Internet 
- Plug-in execution can be canceled
- Ability to show end-of-line characters using View | View End-Of-Line 
  Markers menu command
- 'Touch' command in directory comparison views
- Option to timestamp copied files with current time
- Menu command to show/hide line numbers
- Ability to rearrange directory comparison columns by dragging them
  in the list headers
- Icons in Compare dialog
- Difference navigation in HTML reports
- Disabled expired features are re-enabled after the registration
- All executables are now digitally signed by a certificate of
  authenticity
- Improved external file/directory change notifications
- Explorer integration DLL (Shell Extension) for 64-bit Windows is now
  automatically installed during setup
- New command line option:
    /swap        swap first and second file/directory
- Improved Help
- Fix: messages were occasionally not shown under Windows 95/98/Me
- Fix: occasional incorrect matching of ignored characters
- Fix: incorrect treating text files as binary in full directory 
  comparison
- Fix: saving of read-only files
- Fix: memory errors during processing of files with very long lines
- Fix: comments were not ignored after files were processed by plug-ins
- Fix: path view filters only worked when lower case strings were used
- Fix: East-Asian characters were not properly shown after horizontal 
  scrolling
- Fix: "Ignore column ranges" did not ignore lines shorter than 
  specified ranges
- Fix: command line option /f did not work under some conditions

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 3.4.2:
-------------------------
- Fix: word-wrapped lines are now correctly shown when a view filter
  is used

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 3.4 (Build 3.4.1.8):
---------------------------------------
- Improved handling of ignored lines
- Fix: when launched form directory comparison, file comparison did not 
  inherit Comments and Plug-ins options

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 3.4 (Build 3.4.1.6):
---------------------------------------
- Ability to create directory snapshots from text and binary file 
  comparison menus
- Improved detection of text vs. binary files
- Fix for comparing directory snapshots when "Perform full file 
  comparison" option is on
- Fix: tab size value was not read when opening files

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 3.4 (Build 3.4.1.5):
---------------------------------------
- When "Scroll current diff to center" option is used, making sure that 
  the whole diff is centered. If not possible, scroll the first line of 
  the diff to the top + 1 position
- Fix: scrolling while navigating through bookmarks
- Fix for file comparison resulting in large diff blocks

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 3.4 (Build 3.4.1.4):
---------------------------------------
- Automatically select file or directory comparison based on the input
  names
- Faster launching of file/directory comparison from directory comparison
- Fix for backing up a directory during Copy operation in case backup
  directory does not exist
- Fix for validating regular expressions in Options | Compare
- Fix for text file comparison when both files have no linebreaks in 
  their last lines and when "Ignore linebreak styles" option is not used
- Fix for ignoring multiple comments in a single line
- Fix for saving Unix diff files in text file comparison

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 3.4 (Build 3.4.1.3):
---------------------------------------
- Fix: crash on start when text labels or large buttons are used in 
  the toolbars
- Improved interface for making directory comparison columns visible 
  and changing their order
- Changed default for "Show # of diffs column" to FALSE
- When "Show # of diffs column" is used, a message is shown to 
  automatically enable "Perform full file comparison" and disable 
  "Do not calculate number of differences" options

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 3.4 (Build 3.4.1.2):
---------------------------------------
- Minor fix for the problem described at
  http://www.prestosoft.com/forums/viewtopic.php?t=241

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 3.4:
-----------------------
- Option to ignore programming language comments
- Option to ignore multiple column ranges in lines
- Compare directories produced by file plug-ins (see
  http://www.prestosoft.com/ps.asp?page=edp_plugins for possible uses)
- Inline plug-ins (specified by name before file/directory names in
  Compare dialog)
- Option to back up files replaced during Copy operations 
- "Identical items" color and effects are customizable
- Ability to reset options to defaults for current page only
- True-color toolbar with small and large buttons
- Improved performance and reduced memory footprint
- Fix for default HTML template paths
- Fix for Ignore Linebreak Styles option when not used on files with 
  no ending linebreaks
- Fix for Save As used on clipboard contents
- Fix: older files are always visible even though a view filter is set 
  up not to show them 
- Fix for erroneous messages during drag-n-drop operations on read-only 
  and plugin-processed files
- Fix: failed to recover from error when files were compared from 
  directory comparison
- Fix: Ignore the Ignores command did not ignore "Ignore linebreak 
  styles" option
- Fix: wheel mouse occasionally scrolled up a page instead of several lines

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 3.3:
-----------------------
- Allow to select clipboard contents instead of one of files in 
  Compare dialog
- Copy as Text command for directory comparison
- Save As command in text file comparison context menu
- Ability to edit and save files after they are processed by 
  plug-ins
- "True" ignoring of blank and regex-matching lines
- Allow using strikeout and underline font effects for added, 
  changed, deleted, etc. items (note: HTML templates have
  changed)
- Allow applying a plug-in from the right-click menu
- "Error" status for directory comparison errors
- Allow selecting a plug-in (that overrides Options plug-ins for 
  a given file) in Compare dialog
- Support for EBCDIC character set in displaying binary comparison
  results
- Option to ignore linebreak style differences (DOS/UNIX/Mac)
- Option to consider files with same CRC identical
- Fix for entering one file/directory name in command line
- Fix for case-sensitivity of view filters
- Fix for empty directories (was broken in 3.2c)
- Fix for detecting Unix-style (LF) line endings

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 3.2c:
------------------------
- Windows Explorer (Shell) integration
- Resolving Windows shortcuts
- Compare file CRCs when comparing directories
- Compare versions of executables and DLLs when comparing 
  directories
- Show CRC and versions in directory comparison views
- Fix for TAB character detection in Print/Print Preview
- Fix for occasional crashes in regular expression engine
- Fix for files larger than 2 GBytes
- Fix for initializing colors in when "Other" button is clicked
  in Options | Display | Colors
- Fix for doubled comparison statistics in Word Wrap mode
- Fix for not persisting "No newline at end of file" message
  when running from the command line

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 3.2:
-----------------------
- New feature: Unicode support
- New feature: customizable keyboard shortcuts
- New feature: compare selected text fragments
- New feature: "Clipboard comparison" added  to the Compare dialog
- New feature: Windows XP look in XP and higher
- New feature: "Newer"/"Older" fields in file status bars
- New feature: option "Allow to copy files TO and FROM in directory 
  comparison"
- New feature: ability to move to the previous difference after
  copying a block in text file comparison
- New feature: ':' character can be used in directory comparison filters
  to denote path filters vs. default name filters
- Bug fix: wrong timestamp comparison of files whose dates fall on 
  Daylight Saving Time switch dates
- Bug fix: printing selection in directory comparison may cause a crash 
- Improvement: better plug-in implementation. Side effect: old plug-ins
  need to be exported in a previous version, then manually added in 3.2
- Improvement: better caret positioning when view filter is turned on 
  and off

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 3.1:
-----------------------
- New feature: HTML diff report (view filter is always used)
- New feature: new copy block commands (Replace in First/Second, Add to 
  First/Second)
- New feature: Copy to Clipboard command in directory comparison
- New feature: added comparison detail level selection to toolbar
- New feature: Wrap Search option in Find/Replace dialogs
- New feature: command to resize directory columns to fit their content
- New feature: new command line options:
    /no          do not generate output file if no diffs are found
    /append      used with /o option to append to an existing output file
    /html        used with /o option to output HTML diff report
- New feature: plug-ins can be applied to all files by using * extension
  and rearranged
- New feature: option to show/hide "Too slow comparison?" balloon message
- New feature: two new settings in the Registry: "Use Last Session" and 
  "Auto-Save Session"
- Bug fix: Esc key in Don't Show dialogs behaves now as Close dialog button
- Bug fix: if Keep option was used in Merge Dialog, Sync was lost (no more
  merging was possible after that)
- Bug fix: broken mnemonics in right-click menus
- Bug fix: made Go To command in text files much faster
- Bug fix: much faster file saving over a remote connection
- Bug fix: re-sync bug after copying blocks with "Keep" option
- Bug fix: error in creating directory by its UNC path
- Bug fix: bug in not saving toolbar state on Alt + Drag'n'Drop
- Bug fix: if files from different directories were selected, Explorer 
  menu was not working properly. The fix makes Explorer menu item
  disappear if files from different directories are selected
- Bug fix: wrong resizing of Compare Dialog on fresh setup
- Bug fix: bugs in /f, /d, /p command line options
- Bug fix: better error reporting when files/dirs don't exist
- Bug fix: not updating views after copying empty directories
- Bug fix: wrong diff number was reported after re-compare under 
  certain options
- Bug fix: occasional hanging for files with only CR characters for 
  line breaks
- Bug fix: better handling of "Out of memory" errors
- Bug fix: allow to copy expired registration info in About box

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 3.0:
-----------------------
- New feature: visual binary file comparison 
- New feature: named comparison sessions (with file/directory name pairs,
  options)
- New feature: ability to cancel lengthy file comparison 
- New feature: added Directory handling to the tool bar (compare 
  recursively, do not compare recursively)
- New feature: Shift + Del command to delete files permanently (from 
  directory comparison views)
- New feature: new change notification ("Do not monitor")
- New feature: option to display "Relative Path" only in one pane of 
  directory comparisons (to save on screen real estate)
- New feature: options to synchronously resize directory comparison columns 
  and synchronize directory views horizontal scrolling
- New feature: option of saving files where tabs are converted to N spaces
- New feature: option where to scroll after the comparison
- New feature: file path view filter for directory comparison panes
- New feature: Explorer Menu added to right click menu on file comparison
  panes
- New feature: option to reuse window position in a launched instance
- New feature: option to advance to next difference after copying a block
  from one file to another
- New feature: option to show empty directories in recursive comparison
- New feature: new command line options:
    /br          briefly report whether files/directories differ
    /tb          treat both files as binary files
    /sd          always show initial "Compare" dialog, even if two 
                 filenames are used
- Bug fix: occasional hanging after directory comparison
- Bug fix: copying changed blocks when the destination file does not have
  newline character at end of file
- Bug fix: wrong cursor position after Replace/Replace All
- Improvement: significantly faster words and characters comparison

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 2.8:
-----------------------
- New feature: view diff file (without saving)
- New feature: customizable word separators
- New feature: run comparison in a new instance
- New feature: print selection
- New feature: resizable Compare dialog
- New feature: improved regular expressions support
- New feature: 'Select All' in directory comparison list views
- New feature: option to consider files with different attributes different
- New feature: count wrapped lines as one
- New feature: option to use View Filter for diff file saving
- New feature: 'Number of diffs' column in directory comparison
- New feature: command to close files in file comparison mode
- New feature: ability to select columns and their sort order for directory 
  comparison list views
- New feature: external helper applications used before comparison
- New feature: ignore line parts matching a regular expression
- Bug fix: directory comparison showed that files were different even though
  they were identical considering ignored blank lines or regular expressions
- Bug fix: saving "Ignore of the ignores" did not work
- Bug fix: no crosshatches in Print and Print preview
- Bug fix: directory snapshot comparison

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 2.7:
-----------------------
- New feature: color bar for graphical presentation of differences
- New feature: option to ignore lines matching regular expression
- New feature: options to ignore first and last characters in each line
- New feature: option to enable / disable warning on 'no newline'
- New feature: new command line options:
    /q:M         set tab size to M characters
    /fi:filter   specify include filter for directory comparison
    /fx:filter   specify exclude filter for directory comparison
    /ff          force initial file comparison dialog
    /fd          force initial directory comparison dialog
- Improvement: improved word wrapping algorithm
- Improvement: column sizes are saved before re-comparing directories
- Improvement: split Added/Deleted view filter into two: Added and Deleted

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 2.6f:
-----------------------
- New feature: directory snapshot
- New feature: simple word wrap
- New feature: View/Edit in File context menu
- New feature: option to set time zone difference for directory 
  comparison
- New feature: Show Only Differences feature is superseded by
  View Filter
- New feature: ignore blank lines
- Improvement: faster file comparison, especially for large files
- Bug fix: restored  Compare Matched From Directories and Compare
  Selected From Directories lost in 2.6
- Bug fix: incorrect behavior with option 'Run new instance of
  the program to compare from directory panes'
- Bug fix: Find and Replace dialogs did not go away after re-compare

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 2.6:
-----------------------
- New feature: option to show/print just the changes with 
  a user-definable number of lines of context (for file
  comparison)
- New feature: insert/overwrite mode (for file comparison)
- New feature: bookmarks (for file comparison)
- New feature: replace (for file comparison)
- New feature: go to line (for file comparison)
- New feature: regular expressions for find/replace
- New feature: customizable toolbar
- New feature: ignore background for printing
- New feature: option to disable pane synchronization
- New feature: command line switch to read options from a 
  specified file (/g:file)
- New feature: option to print file diffs when printing 
  directory diff report (and a new command line switch /c)
- Improvement: warn about changes before spawning external 
  editor
- Bug fix: for files with over 1000 lines, the line number of 
  the left file did not print completely
- Bug fix: Ctrl + Mouse Click did not unselect items in 
  directory comparison panes
- Bug fix: synchronized word wrapping
- Bug fix: sorting of Path column in directory comparison panes

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 2.5:
-----------------------
- New feature: ability to edit files within file comparison
  panes
- New feature: view whitespace in file comparison panes
- New feature: additional command line switches: 
   /s  consider files with the same size and timestamp 
       identical 
   /y  consider files with different size different (even 
       if some ignore options are selected) 
   /z  consider files with different timestamp different 
   /r0 do not compare subdirectories at all 
   /r1 compare subdirectories only to determine their status 
   /r2 compare subdirectories recursively 
   /f  report file differences during directory comparison 
   /x  read-only mode
- New feature: option to show directory sizes
- Bug fix: copying and deleting multiple files in recursive 
  directory comparison mode
- Bug fix: going one level up to root directories in directory
  comparison mode
- Bug fix: occasional crashes in print preview for directory
  comparison

///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 2.2:
-----------------------
- New feature: directories are optionally compared recursively
- New feature: directories are optionally marked as different 
  if their files/directories differ
- New feature: synchronous word wrapping of long lines
- New feature: ability to compare two selected (but not 
  necessarily matched) files/directories from directory
  comparison panes
- New feature: additional command line switch:
   /p  print diff report and exit
- New feature: same window or new window option when comparing
  two directories from the directory comparison panes
- New feature: "One directory level up" command to move up the
  directory tree in the directory comparison mode
- New feature: status column in directory comparison mode which
  shows Same, Added, Deleted files/directories, and Newer and 
  Older files or Changed directories
- New feature: Windows Explorer menu in directories right-click 
  menu
- Improvement: several new options to make directory comparison
  faster
- Improvement: separate fonts for screen and printer
- Improvement: option to automatically re-compare 
  files/directories if change is detected
- Improvement: number of added/deleted/changed items is 
  shown in the status bar
- Improvement: significantly expanded online help
- Bug fix: multiple include filters didn't work
- Bug fix: minimizing main window didn't bring "Compare Dialog" 
  to the top under Windows 98 and Windows 2000
- Bug fix: file operations (copy, delete) could cause problems 
  (including crash) in "Show Only Differences" mode 
- Bug fix: change notifications didn't work after file 
  operations
- Bug fix: incorrect coloring if compared files did not have 
  carriage return at the end
- Bug fix: directory comparison for root directories could 
  produce wrong file types and icons
- Bug fix: comparing files/directories by double-clicking items 
  in directory comparison panes didn't work with "Show Only 
  Differences" option enabled
                        
///////////////////////////////////////////////////////////////////////////
CHANGES IN VERSION 2.1:
-----------------------
- New feature: highlights differences down to the level of 
  words or characters in changed lines
- New feature: allows printing and print previewing of diff
  reports
- New feature: able to copy and delete multiple 
  files/directories in directory comparison mode
- New feature: additional command line switch:
   /o:file  outputs diff results to a file 'file' (or
            to standard output if '-' is specified), then quits.
- New feature: option to have Compare Dialog box always on top
- New feature: $COLUMN variable to pass the cursor's column
  number to the external editor
- New feature: toggle between "Ignore nothing" and "Ignore
  what I specified to be ignored" states
- New feature: in addition to background colors, hatched 
  patterns may be used  
- New feature: in directory comparison mode, option to consider
  files with the same name, size and timestamp identical, 
  making comparison significantly faster
- Improvement: if the option to "Compare New Pair of Files"
  is selected, then the main window is minimized, permitting 
  better access to the desktop with unobscured drag-and drop
- Improvement: no more serial numbers
- Bug fix: in file comparison mode, pressing Delete key caused
  a crash
- Bug fix: in directory comparison mode, incorrect binary files
  comparison
- Bug fix: from the command line, UNC file names didn't work
- Bug fix: root directory comparison didn't work
